...
 
Commits (5)
gnome-games-app (3.30.2-2) unstable; urgency=medium
* Build-Depend on libxml2-utils for xmllint
* Use relative directory for bindir override
* Add -Wl,-O1 to our LDFLAGS
* Bump Standards-Version to 4.3.0
-- Jeremy Bicha <jbicha@debian.org> Mon, 24 Dec 2018 09:50:01 -0500
gnome-games-app (3.30.2-1) unstable; urgency=medium
* New upstream release
......
......@@ -20,10 +20,11 @@ Build-Depends: debhelper (>= 11),
libtool-bin,
libtracker-sparql-2.0-dev,
libxml2-dev,
libxml2-utils,
meson (>= 0.46.1),
pkg-config (>= 0.22),
valac,
Standards-Version: 4.2.0
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
Homepage: https://wiki.gnome.org/Apps/Games
......
......@@ -16,10 +16,11 @@ Build-Depends: debhelper (>= 11),
libtool-bin,
libtracker-sparql-2.0-dev,
libxml2-dev,
libxml2-utils,
meson (>= 0.46.1),
pkg-config (>= 0.22),
valac,
Standards-Version: 4.2.0
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-games
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-games.git
Homepage: https://wiki.gnome.org/Apps/Games
......
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
%:
dh $@ --with gnome
override_dh_auto_configure:
dh_auto_configure -- --bindir=/usr/games
dh_auto_configure -- --bindir=games
override_dh_install:
rm -rf debian/gnome-games-app/usr/include
......